API anahtarı oluştur
curl --request POST \
--url https://app.whattalk.ai/api/user/api-keys \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'import requests
url = "https://app.whattalk.ai/api/user/api-keys"
payload = { "name": "<string>" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://app.whattalk.ai/api/user/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "API key created successfully.",
"api_key": {
"name": "Production API Key",
"token": "1|abc123xyz789abcdef...",
"created_at": "2025-01-08T10:30:00.000000Z"
}
}
{
"message": "The name field is required.",
"errors": {
"name": ["The name field is required."]
}
}
API Anahtarları
API anahtarı oluştur
Kimliği doğrulanmış kullanıcı için yeni bir API anahtarı oluşturun
POST
/
user
/
api-keys
API anahtarı oluştur
Bu uç nokta, kimliği doğrulanmış kullanıcı için yeni bir API anahtarı oluşturur. Oturum belirteci oluşturan giriş uç noktasından farklı olarak, bu uç nokta uzun süreli API erişimi için kullanılabilecek kalıcı bir API anahtarı oluşturur.
Bu uç nokta kimlik doğrulama gerektirir. Ek API anahtarları oluşturmak için mevcut API anahtarınızı veya oturum belirtecinizi kullanın.
İstek Gövdesi
string
gerekli
API anahtarı için bir ad/etiket (ör. “Production”, “Development”, “My App”)
Yanıt
string
Başarı mesajı
object
{
"message": "API key created successfully.",
"api_key": {
"name": "Production API Key",
"token": "1|abc123xyz789abcdef...",
"created_at": "2025-01-08T10:30:00.000000Z"
}
}
{
"message": "The name field is required.",
"errors": {
"name": ["The name field is required."]
}
}
Örnek İstek
curl -X POST https://app.whattalk.ai/api/user/api-keys \
-H "Authorization: Bearer YOUR_EXISTING_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "Production API Key"
}'
API anahtarı belirteci yalnızca bir kez döndürülür. Güvenli bir şekilde sakladığınızdan emin olun. Kaybederseniz yeni bir tane oluşturmanız gerekecektir.
API Anahtarlarını Yönetme
- GET /user/api-keys - Kimliği doğrulanmış kullanıcının tüm API anahtarlarını listeleyin
- DELETE /user/api-keys/ - Belirli bir API anahtarını silin
⌘I

